{"openapi":"3.0.4","info":{"title":"Find users by id endpoint","description":"Finds a maximum of 50 users by ID","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/directory":{"get":{"tags":["Users"],"summary":"Find users by id endpoint","description":"Finds a maximum of 50 users by ID","operationId":"FindUsersById","parameters":[{"name":"id","in":"query","description":"A list of unique identifiers for the users","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/ListUsersResponse"},"example":{"href":"https://my-domain.lusid.com/access","values":{"00ub0oNGTSWTBKOLGLNR":{"id":"00ub0oNGTSWTBKOLGLNR","login":"dennis.sierra","email":"Dennis","firstName":"Sierra","lastName":"dennis.sierra@my-awesome-company.com","type":"Personal","links":[{"relation":"User","href":"https://my-domain.lusid.com/access/api/users/00ub0oNGTSWTBKOLGLNR?includeRoles=false","description":"A link to access the full details of this user","method":"GET"},{"relation":"Activity","href":"https://my-domain.lusid.com/insights/api/requests?filter=user%20eq%20%2700ub0oNGTSWTBKOLGLNR%27","description":"A link to the LUSID Insights API to get all logs related to this user","method":"GET"}]},"00uijntSwJjSHtDY70g3":{"id":"00uijntSwJjSHtDY70g3","login":"rudi.kouma","email":"Rudi","firstName":"Kouma","lastName":"rudi.kouma@my-awesome-company.com","type":"Personal","links":[{"relation":"User","href":"https://my-domain.lusid.com/access/api/users/00uijntSwJjSHtDY70g3?includeRoles=false","description":"A link to access the full details of this user","method":"GET"},{"relation":"Activity","href":"https://my-domain.lusid.com/insights/api/requests?filter=user%20eq%20%2700uijntSwJjSHtDY70g3%27","description":"A link to the LUSID Insights API to get all logs related to this user","method":"GET"}]}},"failed":{"00u19uiKQa0xXkbdGLNR":{"id":"00u19uiKQa0xXkbdGLNR","type":"UserDoesNotExist","detail":"The specified user cannot be found or has been deleted"}},"links":[{"relation":"RequestLogs","href":"https://mydomain.lusid.com/app/insights/logs/0ABCDEFGHIJKL:00000001","description":"A link to the LUSID Insights website showing all logs related to this request","method":"GET"}]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}